# class Record | A collection of fields with relevant values. More...
Full name | `KDB::Record`
Definition | `#include <record.h>`
Inherits | KDB::DataObject [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- Record (Recordset *r, FieldList fields, Row values, KDB_ULONG pos)
- Record (const Record &)
- Record & operator = (const Record &)
- ~Record ()
- FieldIterator begin ()
- Field & operator[] (const QString& name)
- Field & operator[] (int index)
- Field & field (const QString & name)
- Field & field (int index)
- KDB_ULONG absolutePosition ()
- void update ()
- void remove ()

#### Signals

- void updated (KDB::Record *, bool)
- void deleted (KDB::Record *)

## Detailed Description

A collection of fields with relevant values.

The fields should be accessed like an associative array:

     	rec["field1"] = "value";
     or
     	rec[1] = "value";

there are two record types: updatable and read only, depending on the parent recordset

Record (Recordset *r, FieldList fields, Row values, KDB_ULONG pos) | ### Record

Record (const Record &) | ### Record

Record & operator = (const Record &) | ### operator =

~Record () | ### ~Record

FieldIterator begin () | ### begin

Field & operator[] (const QString& name) | ### operator[]

Field & operator[] (int index) | ### operator[]

Field & field (const QString & name) | ### field

Field & field (int index) | ### field

KDB_ULONG absolutePosition () | ### absolutePosition

void update () | ### update

void remove () | ### remove

void updated (KDB::Record *, bool) | ### updated

[signal]

void deleted (KDB::Record *) | ### deleted

[signal]

- Version: kdbcore 0.0.2
- Author: Alessandro Praduroux <pradu@thekompany.com>
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:48:14 2001, using kdoc 2.0a53.